List GoHighLevel funnels
List funnels for the resolved location's linked GoHighLevel account. The client's ghl_location_id and proxy_api_key (stored on the location record) are used to authenticate against the GHL Funnels API. The GHL response is returned verbatim. Agency keys (ak_) must pass ?location_id=.
curl -X GET "https://mythic-analytics.gulp.workers.dev/builder/ghl/funnels?location_id=acme-retail&limit=50&offset=0" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://mythic-analytics.gulp.workers.dev/builder/ghl/funnels?location_id=acme-retail&limit=50&offset=0"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://mythic-analytics.gulp.workers.dev/builder/ghl/funnels?location_id=acme-retail&limit=50&offset=0", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://mythic-analytics.gulp.workers.dev/builder/ghl/funnels?location_id=acme-retail&limit=50&offset=0", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://mythic-analytics.gulp.workers.dev/builder/ghl/funnels?location_id=acme-retail&limit=50&offset=0')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"funnels": [
{
"_id": "example_string",
"name": "Product Launch Funnel",
"steps": [
{
"id": "example_string",
"name": "John Doe",
"url": "example_string",
"sequence": 42
}
]
}
],
"count": 5
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
{
"error": "GHL API error: 401",
"details": "example_string"
}
/ghl/funnels
Target server for requests. Edit to use your own host.
Builder key as a bearer token. Use an agency key (Bearer ak_...) or a viewer key (Bearer sk_...). Scoped keys (mcp_) are not accepted here (403 not_available_to_scoped_keys).
Bearer ak_...) or a viewer key (Bearer sk_...). Scoped keys (mcp_) are not accepted here (403 not_available_to_scoped_keys).Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_). This is the Mythic location ID, not the GoHighLevel location ID.
Maximum funnels to return. Default 50.
Number of funnels to skip. Default 0.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Builder key as a bearer token. Use an agency key (Bearer ak_...) or a viewer key (Bearer sk_...). Scoped keys (mcp_) are not accepted here (403 not_available_to_scoped_keys).
Query Parameters
Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_). This is the Mythic location ID, not the GoHighLevel location ID.
acme-retailMaximum funnels to return. Default 50.
Number of funnels to skip. Default 0.